<?php
/**
 * Template Name: Whats On
 * 
 */

get_header();

$page_id = get_the_ID();
$organiser = get_field('page_event_organiser', $page_id); ?>

<main>

    <section id="ri-block-editor">
        <?php the_content(); ?>
    </section>

    <div class="container-wrap" id="events-search" >
        <div class="container">

            <form id="search-form">
                <div class="search-name">
                    <input type="text" name="q" id="event-name" value="<?php echo $q_event; ?>" placeholder="Search for Events" />
                    <ion-icon name="search-outline"></ion-icon>
                </div>
            
                <div class="search-dates">
                    <div class="presets">
                        <input type="radio" id="all" name="date" value="all" <?php echo $all; ?>>
                        <label class="date-label" for="all">All</label>
                        <input type="radio" id="today" name="date" value="today" <?php echo $today; ?>>
                        <label class="date-label" for="today">Today</label>
                        <input type="radio" id="week" name="date" value="week" <?php echo $week; ?>>
                        <label class="date-label" for="week">This Week</label>
                        <input type="radio" id="month" name="date" value="month" <?php echo $month; ?>>
                        <label class="date-label" for="month">This Month</label>
                    </div>
                    <div class="date-range">
                        <div class="date-range-options">
                            <label for="datepicker" >or Select dates:</label>
                            <span id="picker-clear" class="hide">x clear</span>
                        </div>
                        <input type="text" name="date_range" id="datepicker" />
                    </div>
                </div>

                <div class="filters">
                    <div class="inner-wrap">

                    </div>
                </div>

            </form>

        </div>

    </div>

    <?php // event grid
    $events = null; ?>

    <section class="container-wrap event-listing">
        <div class="container posts-loop events" id="event-listings"></div>
    </section>

    <section class="container-wrap gift-cards">
        <div class="container">
            <h2>Gift Cards</h2>
            <p>You can now gift a voucher for Real Ideas ticketed events, workshops and immersive experiences. Once purchased, the recipient can simply use the unique code at checkout when booking via the whats on page or Eventbrite.</p>
            <p>This can be redeemed against 1 ticket per transaction, any remaining balance can be used in future transactions. This is not for any co-work or meeting room purchases.</p>
            <div class="giftcards">
                <button type="button" class="btn" id="load-giftup">Buy Gift Cards</button>
            </div>
        </div>
    </section>

</main>

<script>

    function getEvents() {

        var ajaxurl = <?php echo json_encode(admin_url('admin-ajax.php')); ?>;
        nonce = <?php echo json_encode(wp_create_nonce('get_events_for_display_nonce')); ?>;

        jQuery.ajax({
            type: "post",
            dataType: "json",
            url: ajaxurl,
            data: {
                action: 'get_events_for_display',
                nonce: nonce,
                organiser: '<?php echo $organiser; ?>',
                dateFilter: 'all',
            },
            success: function(response) {

                if(response) {

                    const eventListings = document.getElementById('event-listings');

                    response.forEach(item => {

                        const newItem = document.createElement('article');
                        newItem.className = 'event-preview';

                        var multipleDates = '';
                        if(item.is_series == 1) {
                            multipleDates = '<span>Multiple Dates</span>';
                        }

                        const html = `
                            <div class="inner">
                                <div class="featured-img">
                                    <img class="featured" src="${item.image}" alt="${item.title}" />
                                    <span class="img-overlay"></span>
                                    <a href="${item.link}"></a>
                                </div>
                            </div>
                            <div class="content">
                                ${multipleDates}
                                <span class="date">Next: ${item.next_date}</span>
                                <span class="time"> ${item.next_time}</span>
                                <h1> ${item.title}</h1>
                                <p> ${item.summary}</p>   
                                <a class="btn btn__link" href="${item.link}"><span class="btn__text">Book now</span></a>
                            </div>
                        `;
                        
                        newItem.innerHTML = html;
                        eventListings.appendChild(newItem);

                    });
                }

            }
        });

    }

    function renderEvent(event) {
        
        var eventHtml = '<article>';
        eventHtml += '</article>';



    }

    getEvents();

</script>

<?php get_footer();

